Updates the article price list with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

article_price_list
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

article_id

Foreign key of article

globally unique identifier

Optionally required : article_id, article_code or article must be provided

article_code

Embedded entity "article" using ERP PK when adding/updating

string

Optionally required : article_id, article_code or article must be provided

article

Embedded entity "article" when adding/updating

article

Optionally required : article_id, article_code or article must be provided

article_price_label_id

Foreign key of article price label

globally unique identifier

Optionally required : article_price_label_id or article_price_label must be provided

article_price_label

Embedded entity "article price label" when adding/updating

article_price_label

Optionally required : article_price_label_id or article_price_label must be provided

price

Article price, If value not given set as 0.

decimal number

Required

modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "d1654e66-c464-4d53-8d84-9f0eabd2669b",
  "article_id": "a6ccd257-3a89-46af-9901-0c39ab60c65a",
  "article_code": "sample string 3",
  "article_price_label_id": "128952c4-ec33-4172-aead-fedd5f04a640",
  "price": 1.0,
  "modified_dateutc": "2026-10-27T03:04:41.9564773+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.